[Pkg-virtualbox-commits] [SCM] virtualbox Debian packaging branch, experimental, updated. debian/4.1.18-dfsg-2-25-g79d2334
Felix Geyer
fgeyer at debian.org
Sun Mar 3 21:39:06 UTC 2013
The following commit has been merged in the experimental branch:
commit 98a6c071d2107ec1168aaa15c9d96a78da4e0c45
Author: Felix Geyer <fgeyer at debian.org>
Date: Sun Mar 3 13:19:24 2013 +0100
Update install files and VBox.sh.
diff --git a/debian/changelog b/debian/changelog
index 09c4e1c..959080d 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -11,7 +11,7 @@ virtualbox (4.2.8-dfsg-1) UNRELEASED; urgency=low
* Drop all virtualbox-ose transitional packages.
* Drop the virtualbox-fuse package as vdfuse fails to build with
virtualbox 4.2.
- * Update install files.
+ * Update install files and VBox.sh.
* Bump required kbuild version to 0.1.9998svn2577.
-- Felix Geyer <fgeyer at debian.org> Fri, 25 Jan 2013 18:14:24 +0100
diff --git a/debian/virtualbox.files/VBox.sh b/debian/virtualbox.files/VBox.sh
index d270279..cd2f37c 100755
--- a/debian/virtualbox.files/VBox.sh
+++ b/debian/virtualbox.files/VBox.sh
@@ -5,39 +5,23 @@
# and placed under GPLv2
#
# this is based on a script by
-# InnoTek VirtualBox
+# Oracle VirtualBox
#
-# Copyright (C) 2006 InnoTek Systemberatung GmbH
+# Copyright (C) 2006-2011 Oracle Corporation
#
# This file is part of VirtualBox Open Source Edition (OSE), as
# available from http://www.virtualbox.org. This file is free software;
# you can redistribute it and/or modify it under the terms of the GNU
-# General Public License as published by the Free Software Foundation,
-# in version 2 as it comes in the "COPYING" file of the VirtualBox OSE
-# distribution. VirtualBox OSE is distributed in the hope that it will
-# be useful, but WITHOUT ANY WARRANTY of any kind.
+# General Public License (GPL) as published by the Free Software
+# Foundation, in version 2 as it comes in the "COPYING" file of the
+# VirtualBox OSE distribution. VirtualBox OSE is distributed in the
+# hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
PATH="/usr/bin:/bin:/usr/sbin:/sbin"
# VirtualBox installation directory
INSTALL_DIR="/usr/lib/virtualbox"
-# We don't distribute this file anymore. However, if it is still there we use
-# it, just to be sure we stay compatible with older versions.
-[ -f /etc/vbox/vbox.cfg ] && . /etc/vbox/vbox.cfg
-
-if [ "$VBOX_USER_HOME" = "" ]; then
- if [ ! -d "$HOME/.VirtualBox" ]; then
- mkdir -p "$HOME/.VirtualBox"
- fi
- LOG="$HOME/.VirtualBox/VBoxSVC.log"
-else
- if [ ! -d "$VBOX_USER_HOME" ]; then
- mkdir -p "$VBOX_USER_HOME"
- fi
- LOG="$VBOX_USER_HOME/VBoxSVC.log"
-fi
-
# Note: This script must not fail if the module was not successfully installed
# because the user might not want to run a VM but only change VM params!
@@ -51,28 +35,41 @@ WARNING: The character device /dev/vboxdrv does not exist.
EOF
fi
-APP=`which $0`
-APP=${APP##/*/}
+SERVER_PID=`ps -U \`whoami\` | grep VBoxSVC | awk '{ print $1 }'`
+if [ -z "$SERVER_PID" ]; then
+ # Server not running yet/anymore, cleanup socket path.
+ # See IPC_GetDefaultSocketPath()!
+ if [ -n "$LOGNAME" ]; then
+ rm -rf /tmp/.vbox-$LOGNAME-ipc > /dev/null 2>&1
+ else
+ rm -rf /tmp/.vbox-$USER-ipc > /dev/null 2>&1
+ fi
+fi
+
+APP=`basename $0`
case "$APP" in
VirtualBox|virtualbox)
exec "$INSTALL_DIR/VirtualBox" "$@"
;;
- VBoxHeadless|vboxheadless)
- exec "$INSTALL_DIR/VBoxHeadless" "$@"
- ;;
VBoxManage|vboxmanage)
exec "$INSTALL_DIR/VBoxManage" "$@"
;;
VBoxSDL|vboxsdl)
exec "$INSTALL_DIR/VBoxSDL" "$@"
;;
- vditool)
- exec "$INSTALL_DIR/vditool" "$@"
+ VBoxHeadless|vboxheadless)
+ exec "$INSTALL_DIR/VBoxHeadless" "$@"
+ ;;
+ VBoxBalloonCtrl|vboxballoonctrl)
+ exec "$INSTALL_DIR/VBoxBalloonCtrl" "$@"
;;
vboxwebsrv)
exec "$INSTALL_DIR/vboxwebsrv" "$@"
;;
*)
echo "Unknown application - $APP"
+ exit 1
;;
esac
+
+exit 0
diff --git a/debian/virtualbox.install b/debian/virtualbox.install
index 6fe748c..ad7789b 100644
--- a/debian/virtualbox.install
+++ b/debian/virtualbox.install
@@ -1,10 +1,12 @@
debian/virtualbox.files/*.sh /usr/share/virtualbox
out/bin/components /usr/lib/virtualbox
-out/bin/VBoxREM* /usr/lib/virtualbox
+out/bin/VBoxREM.so /usr/lib/virtualbox
out/bin/VBox*.so /usr/lib/virtualbox
out/bin/VBox*.gc /usr/lib/virtualbox
out/bin/VBox*.r0 /usr/lib/virtualbox
+out/bin/VBoxAutostart /usr/lib/virtualbox
+out/bin/VBoxBalloonCtrl /usr/lib/virtualbox
out/bin/VBoxEFI* /usr/lib/virtualbox
out/bin/VBoxExtPackHelperApp /usr/lib/virtualbox
out/bin/VBoxHeadless /usr/lib/virtualbox
@@ -20,7 +22,6 @@ out/bin/vboxshell.py /usr/lib/virtualbox
out/bin/vboxwebsrv /usr/lib/virtualbox
out/bin/webtest /usr/lib/virtualbox
out/bin/libvboxjxpcom.so /usr/lib/virtualbox
-out/obj/VBoxBalloonCtrl /usr/lib/virtualbox
out/bin/sdk/bindings/xpcom/java /usr/lib/virtualbox/sdk/bindings/xpcom
out/bin/sdk/bindings/xpcom/python /usr/lib/virtualbox/sdk/bindings/xpcom
diff --git a/debian/virtualbox.links b/debian/virtualbox.links
index e2fa4e3..3333323 100644
--- a/debian/virtualbox.links
+++ b/debian/virtualbox.links
@@ -1,10 +1,12 @@
/usr/share/virtualbox/VBox.sh /usr/bin/vboxheadless
/usr/share/virtualbox/VBox.sh /usr/bin/vboxmanage
/usr/share/virtualbox/VBox.sh /usr/bin/vboxsdl
+/usr/share/virtualbox/VBox.sh /usr/bin/vboxballoonctrl
/usr/share/virtualbox/VBox.sh /usr/bin/vboxwebsrv
/usr/share/virtualbox/VBox.sh /usr/bin/VBoxHeadless
/usr/share/virtualbox/VBox.sh /usr/bin/VBoxManage
/usr/share/virtualbox/VBox.sh /usr/bin/VBoxSDL
+/usr/share/virtualbox/VBox.sh /usr/bin/VBoxBalloonCtrl
/usr/share/man/man1/VBoxHeadless.1 /usr/share/man/man1/vboxheadless.1
/usr/share/man/man1/VBoxManage.1 /usr/share/man/man1/vboxmanage.1
--
virtualbox Debian packaging
More information about the Pkg-virtualbox-commits
mailing list